commit e4c02f2ee3898a548a7f4c45e7e7e12898b09bca
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Feb 16 23:25:13 2012 +0100

    remove MAINTAINERS file

 MAINTAINERS |   15 ---------------
 1 files changed, 0 insertions(+), 15 deletions(-)

commit 30d80c9f603870b07bc97ca356cb3e794173c15f
Author: Perberos <perberos@gmail.com>
Date:   Tue Jan 24 13:47:12 2012 -0300

    changing pkgbuild source method

 distro/archlinux/PKGBUILD |   10 ++++------
 1 files changed, 4 insertions(+), 6 deletions(-)

commit eaca42f01e6ebc280d34591466d08fcf30f66134
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Jan 18 10:50:34 2012 +0100

    fix typo in man page

 .../matecomponent-activation-server.1              |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2d0cf23c2e97fcc080bc38ba072279336a97b811
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Mon Jan 9 21:14:50 2012 -0500

    Changed mate.gr.jp to gnome.gr.jp as requested in Issue #86

 po/ChangeLog |   98 +++++++++++++++++++++++++++++-----------------------------
 po/ja.po     |    4 +-
 2 files changed, 51 insertions(+), 51 deletions(-)

commit 838880bd22cbc25617fd21da19f17921d970b59c
Merge: 8e603e5 7e7b2be
Author: Perberos <perberos@gmail.com>
Date:   Thu Dec 8 16:25:02 2011 -0300

    Merge branch 'master' of github.com:mate-desktop/libmatecomponent

commit 7e7b2bee7d45b94dcf702fae79db85f6bfa6a5cf
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Thu Dec 8 22:10:42 2011 +0100

    update version to 1.1.0

 configure.in              |   16 ++++++++--------
 distro/archlinux/PKGBUILD |    2 +-
 distro/ubuntu/build       |    2 +-
 3 files changed, 10 insertions(+), 10 deletions(-)

commit 8e603e55c883442584403110c16c6e8a11f54ff3
Author: Perberos <perberos@gmail.com>
Date:   Thu Dec 8 12:53:09 2011 -0300

    removing autogenerated file

 ltmain.sh | 9655 -------------------------------------------------------------
 1 files changed, 0 insertions(+), 9655 deletions(-)

commit 52ae6a2c65a0ef13d030f80564c4ed0fa5a7fc20
Author: Perberos <perberos@gmail.com>
Date:   Tue Dec 6 13:03:08 2011 -0300

    ubuntu issues

 samples/echo/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit bd8416081fe5c97eb87ab55785e669a4f426f28e
Author: Perberos <perberos@gmail.com>
Date:   Tue Dec 6 11:54:54 2011 -0300

    ubuntu issues

 samples/echo/Makefile.am |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 2580711df0d23d2c0d120ef4dec1175c7960cd33
Author: Perberos <perberos@gmail.com>
Date:   Tue Dec 6 11:09:28 2011 -0300

    ubuntu issues

 samples/echo/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit cd080d91a957700d4e234aa414c8391a47540d1f
Merge: 59bb76a 90b4c55
Author: Perberos <perberos@gmail.com>
Date:   Tue Dec 6 10:51:32 2011 -0300

    Merge branch 'master' of github.com:mate-desktop/libmatecomponent

commit 90b4c55c6e4d539ba1a89e133c8eb94be1734c1b
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue Dec 6 15:12:32 2011 +0100

    update version to 2011.12.06

 configure.in              |    2 +-
 distro/archlinux/PKGBUILD |    2 +-
 distro/ubuntu/build       |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 59bb76afd35f1818348b1c571a0faba89e7ae0a4
Author: Perberos <perberos@gmail.com>
Date:   Tue Dec 6 10:51:15 2011 -0300

    ubuntu issue

 matecomponent-activation/Makefile.am |    1 +
 samples/echo/Makefile.am             |    1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

commit 649cdc3502bd71fe61ce277f2d8d093f7d512370
Author: Perberos <perberos@gmail.com>
Date:   Tue Dec 6 10:11:20 2011 -0300

    ubuntu issues

 matecomponent-activation/Makefile.am |  108 +++++++++++++++++-----------------
 samples/echo/Makefile.am             |   48 ++++++++--------
 2 files changed, 78 insertions(+), 78 deletions(-)

commit a4f93b30e81ef07306b9a8f5030a7692fcac4c3e
Merge: 82e5abb 2ff6747
Author: Perberos <perberos@gmail.com>
Date:   Thu Dec 1 17:28:33 2011 -0800

    Merge pull request #1 from stefano-k/master
    
    2011.12.01

commit 2ff67471ffac509902892de01f510dc989cd97ce
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Dec 2 02:23:22 2011 +0100

    deleted unuseful files, switch to 2011.12.01 version

 AUTHORS                              |   16 +-
 ChangeLog                            | 6446 +------------
 Makefile.in                          |  873 --
 NEWS                                 | 1087 +---
 aclocal.m4                           |10711 --------------------
 activation-server/Makefile.in        |  990 --
 config.guess                         | 1501 ---
 config.h.in                          |  123 -
 config.sub                           | 1705 ----
 configure                            |17875 ----------------------------------
 configure.in                         |    4 +-
 depcomp                              |  630 --
 distro/archlinux/PKGBUILD            |    2 +-
 distro/ubuntu/build                  |    2 +-
 doc/Makefile.in                      |  624 --
 doc/activation-api/Makefile.in       |  709 --
 doc/activation/Makefile.in           |  432 -
 doc/api/Makefile.in                  |  906 --
 doc/api/figures/Makefile.in          |  434 -
 gtk-doc.make                         |  230 -
 idl/Makefile.in                      |  724 --
 install-sh                           |  520 -
 matecomponent-activation/Makefile.in |  825 --
 matecomponent/Makefile.in            |  882 --
 missing                              |  376 -
 mkinstalldirs                        |  162 -
 monikers/Makefile.in                 |  688 --
 po/Makefile.in.in                    |  217 -
 samples/Makefile.in                  |  623 --
 samples/echo/Makefile.in             |  797 --
 tests/Makefile.in                    |  956 --
 tests/models/Makefile.in             |  421 -
 tests/test-activation/Makefile.in    |  887 --
 utils/Makefile.in                    |  671 --
 34 files changed, 15 insertions(+), 54034 deletions(-)

commit 82e5abbebcbd2c41a37c46723f784ec0620ee332
Author: Perberos <perberos@gmail.com>
Date:   Thu Dec 1 20:45:06 2011 -0300

    moving from https://github.com/perberos/mate-desktop-environment

 AUTHORS                                            |    7 +
 COPYING                                            |  340 +
 COPYING.LIB                                        |  504 +
 ChangeLog                                          | 6445 +++++++
 MAINTAINERS                                        |   15 +
 Makefile.am                                        |   36 +
 Makefile.in                                        |  873 +
 NEWS                                               | 1086 ++
 README                                             |   78 +
 TODO                                               |   12 +
 aclocal.m4                                         |10711 ++++++++++++
 activation-server/AUTHORS                          |    4 +
 activation-server/Makefile.am                      |   96 +
 activation-server/Makefile.in                      |  990 ++
 ...eComponent_CosNaming_NamingContext.server.in.in |   21 +
 activation-server/README                           |   18 +
 activation-server/activation-context-corba.c       |  994 ++
 activation-server/activation-context-query-lexer.l |  123 +
 .../activation-context-query-parser.y              |  200 +
 activation-server/activation-context-query.c       | 1203 ++
 activation-server/activation-context-query.h       |  146 +
 activation-server/activation-context.h             |   68 +
 .../activation-server-corba-extensions.c           |   86 +
 .../activation-server-corba-extensions.h           |   33 +
 activation-server/activation-server-main.c         |  705 +
 activation-server/client.c                         |  352 +
 .../matecomponent-activation-server.1              |   24 +
 activation-server/object-directory-activate.c      |  238 +
 activation-server/object-directory-config-file.c   |  118 +
 activation-server/object-directory-config-file.h   |   37 +
 activation-server/object-directory-corba.c         | 1412 ++
 activation-server/object-directory-load.c          |  706 +
 activation-server/object-directory.h               |   88 +
 activation-server/server.h                         |   68 +
 activation-server/test-performance.c               |   66 +
 autogen.sh                                         |   25 +
 changes.txt                                        |  173 +
 config.guess                                       | 1501 ++
 config.h.in                                        |  123 +
 config.sub                                         | 1705 ++
 configure                                          |17875 ++++++++++++++++++++
 configure.in                                       |  291 +
 depcomp                                            |  630 +
 distro/archlinux/PKGBUILD                          |   34 +
 distro/archlinux/libmatecomponent.install          |    7 +
 .../archlinux/matecomponent-activation-config.xml  |   13 +
 distro/ubuntu/build                                |   28 +
 distro/ubuntu/matecomponent-activation-config.xml  |   13 +
 doc/Makefile.am                                    |    5 +
 doc/Makefile.in                                    |  624 +
 doc/NAMESPACE                                      |   91 +
 doc/activation-api/Makefile.am                     |   73 +
 doc/activation-api/Makefile.in                     |  709 +
 doc/activation-api/architecture.sgml               |  143 +
 doc/activation-api/configuring.sgml                |   99 +
 doc/activation-api/html/api-reference.html         |   51 +
 doc/activation-api/html/architecture.html          |   57 +
 doc/activation-api/html/async-activation.html      |   54 +
 doc/activation-api/html/attribute-tag.html         |  357 +
 doc/activation-api/html/checklist.html             |   72 +
 doc/activation-api/html/configuring.html           |  108 +
 doc/activation-api/html/home.png                   |  Bin 0 -> 654 bytes
 doc/activation-api/html/index.html                 |  125 +
 doc/activation-api/html/index.sgml                 |   62 +
 doc/activation-api/html/left.png                   |  Bin 0 -> 459 bytes
 doc/activation-api/html/lgpl.html                  |  182 +
 .../html/matecomponent-activation-Debugging.html   |   75 +
 .../matecomponent-activation-Initialization.html   |  212 +
 ...ecomponent-activation-Query-and-Activation.html |  442 +
 .../matecomponent-activation-Registration.html     |  419 +
 .../html/matecomponent-activation-Utilities.html   |  326 +
 .../html/matecomponent-activation.devhelp          |   84 +
 .../html/matecomponent-activation.devhelp2         |   84 +
 .../html/matecomponent-activation.png              |  Bin 0 -> 17624 bytes
 doc/activation-api/html/migrating.html             |   37 +
 doc/activation-api/html/query-langage.html         |   75 +
 doc/activation-api/html/query-syntax.html          |  298 +
 doc/activation-api/html/right.png                  |  Bin 0 -> 472 bytes
 doc/activation-api/html/server-arch.html           |  108 +
 doc/activation-api/html/server-xml-reference.html  |  108 +
 doc/activation-api/html/style.css                  |  265 +
 doc/activation-api/html/terms.html                 |  512 +
 doc/activation-api/html/tutorial.html              |  117 +
 doc/activation-api/html/up.png                     |  Bin 0 -> 406 bytes
 doc/activation-api/lgpl.sgml                       |  723 +
 .../matecomponent-activation-docs.sgml             |   82 +
 .../matecomponent-activation-sections.txt          |  928 +
 doc/activation-api/matecomponent-activation.png    |  Bin 0 -> 17624 bytes
 doc/activation-api/migrating.sgml                  |   11 +
 doc/activation-api/query-langage.sgml              |  307 +
 doc/activation-api/server-xml-reference.sgml       |  418 +
 doc/activation-api/tmpl/base.sgml                  |   16 +
 doc/activation-api/tmpl/debugging.sgml             |   31 +
 doc/activation-api/tmpl/initialization.sgml        |   92 +
 .../tmpl/matecomponent-activation-unused.sgml      |   40 +
 doc/activation-api/tmpl/query.sgml                 |  138 +
 doc/activation-api/tmpl/registration.sgml          |  165 +
 doc/activation-api/tmpl/types.sgml                 |   22 +
 doc/activation-api/tmpl/utilities.sgml             |  121 +
 doc/activation-api/tutorial.sgml                   |  153 +
 doc/activation/INTERNALS                           |   46 +
 doc/activation/Makefile.am                         |   12 +
 doc/activation/Makefile.in                         |  432 +
 doc/activation/debugging.txt                       |   38 +
 doc/activation/id-format.txt                       |   30 +
 doc/activation/limitations.txt                     |   10 +
 .../matecomponent-activation-base-service.txt      |   58 +
 doc/activation/matecomponent-activation-use.dia    |  Bin 0 -> 853 bytes
 doc/activation/matecomponent-activation.dia        |  Bin 0 -> 2081 bytes
 doc/activation/query-language.txt                  |  125 +
 doc/activation/standard-attributes.txt             |  183 +
 doc/activation/test.server                         |    7 +
 doc/api/Makefile.am                                |   68 +
 doc/api/Makefile.in                                |  906 +
 doc/api/debugging.xml                              |  176 +
 doc/api/faq.xml                                    |  736 +
 doc/api/figures/Makefile.am                        |   19 +
 doc/api/figures/Makefile.in                        |  434 +
 doc/api/figures/persist-file.dia                   |   10 +
 doc/api/figures/persist-file.png                   |  Bin 0 -> 22640 bytes
 doc/api/figures/persist-storage.dia                |   11 +
 doc/api/figures/persist-storage.png                |  Bin 0 -> 22704 bytes
 doc/api/figures/persist-stream.dia                 |   20 +
 doc/api/figures/persist-stream.png                 |  Bin 0 -> 28207 bytes
 doc/api/figures/persist.dia                        |    5 +
 doc/api/figures/persist.png                        |  Bin 0 -> 21292 bytes
 doc/api/figures/running-context.dia                |   10 +
 doc/api/figures/running-context.png                |  Bin 0 -> 31729 bytes
 doc/api/figures/storage.dia                        |    6 +
 doc/api/figures/storage.png                        |  Bin 0 -> 52990 bytes
 doc/api/figures/stream.dia                         |    6 +
 doc/api/figures/stream.png                         |  Bin 0 -> 37104 bytes
 doc/api/figures/unknown.dia                        |    6 +
 doc/api/figures/unknown.png                        |  Bin 0 -> 17738 bytes
 doc/api/html/debugging.html                        |  178 +
 doc/api/html/factories.html                        |   45 +
 doc/api/html/general.html                          |   59 +
 doc/api/html/home.png                              |  Bin 0 -> 654 bytes
 doc/api/html/index.html                            |  164 +
 doc/api/html/index.sgml                            |  606 +
 doc/api/html/ix01.html                             |  880 +
 doc/api/html/left.png                              |  Bin 0 -> 459 bytes
 doc/api/html/libmatecomponent-faq.html             |  935 +
 .../libmatecomponent-matecomponent-app-client.html |  328 +
 ...libmatecomponent-matecomponent-application.html |  592 +
 .../html/libmatecomponent-matecomponent-arg.html   | 1012 ++
 ...atecomponent-matecomponent-config-database.html | 1251 ++
 .../libmatecomponent-matecomponent-context.html    |  275 +
 ...ibmatecomponent-matecomponent-event-source.html |  504 +
 .../libmatecomponent-matecomponent-exception.html  |  523 +
 ...atecomponent-matecomponent-generic-factory.html |  643 +
 .../html/libmatecomponent-matecomponent-i18n.html  |   55 +
 ...matecomponent-matecomponent-item-container.html |  235 +
 ...ibmatecomponent-matecomponent-item-handler.html |  356 +
 .../libmatecomponent-matecomponent-listener.html   |  521 +
 .../html/libmatecomponent-matecomponent-main.html  |  363 +
 ...atecomponent-matecomponent-moniker-context.html |   96 +
 ...tecomponent-matecomponent-moniker-extender.html |  427 +
 ...matecomponent-matecomponent-moniker-simple.html |  351 +
 ...ibmatecomponent-matecomponent-moniker-util.html |  847 +
 .../libmatecomponent-matecomponent-moniker.html    |  390 +
 .../libmatecomponent-matecomponent-object.html     | 1203 ++
 ...matecomponent-matecomponent-persist-client.html |  116 +
 ...ibmatecomponent-matecomponent-persist-file.html |  472 +
 ...matecomponent-matecomponent-persist-stream.html |  460 +
 .../libmatecomponent-matecomponent-persist.html    |  191 +
 ...omponent-matecomponent-property-bag-client.html | 2417 +++
 ...ibmatecomponent-matecomponent-property-bag.html |  897 +
 ...atecomponent-matecomponent-running-context.html |  164 +
 ...bmatecomponent-matecomponent-shlib-factory.html |  387 +
 .../libmatecomponent-matecomponent-shutdown.html   |  113 +
 ...matecomponent-matecomponent-storage-memory.html |   70 +
 .../libmatecomponent-matecomponent-storage.html    |  164 +
 ...bmatecomponent-matecomponent-stream-client.html |  350 +
 ...bmatecomponent-matecomponent-stream-memory.html |  301 +
 .../html/libmatecomponent-matecomponent-types.html |  666 +
 doc/api/html/libmatecomponent.devhelp              |  526 +
 doc/api/html/libmatecomponent.devhelp2             |  526 +
 doc/api/html/misc.html                             |   43 +
 doc/api/html/monikers-overview.html                | 1145 ++
 doc/api/html/monikers.html                         |   56 +
 doc/api/html/persist-file.png                      |  Bin 0 -> 22640 bytes
 doc/api/html/persist-storage.png                   |  Bin 0 -> 22704 bytes
 doc/api/html/persist-stream.png                    |  Bin 0 -> 28207 bytes
 doc/api/html/persist.html                          |   61 +
 doc/api/html/persist.png                           |  Bin 0 -> 21292 bytes
 doc/api/html/properties.html                       |  185 +
 doc/api/html/property-bags.html                    |   50 +
 doc/api/html/refcounting.html                      |  221 +
 doc/api/html/right.png                             |  Bin 0 -> 472 bytes
 doc/api/html/running-context.png                   |  Bin 0 -> 31729 bytes
 doc/api/html/storage.png                           |  Bin 0 -> 52990 bytes
 doc/api/html/stream.png                            |  Bin 0 -> 37104 bytes
 doc/api/html/streams.html                          |   53 +
 doc/api/html/style.css                             |  265 +
 doc/api/html/unknown.png                           |  Bin 0 -> 17738 bytes
 doc/api/html/up.png                                |  Bin 0 -> 406 bytes
 doc/api/libmatecomponent-docs.sgml                 |  180 +
 doc/api/libmatecomponent-overrides.txt             |    1 +
 doc/api/libmatecomponent-sections.txt              |  803 +
 doc/api/libmatecomponent.types                     |   17 +
 doc/api/monikers-overview.xml                      | 1266 ++
 doc/api/properties.xml                             |  175 +
 doc/api/refcounting.xml                            |  228 +
 doc/api/tmpl/matecomponent-app-client.sgml         |   91 +
 doc/api/tmpl/matecomponent-application.sgml        |  195 +
 doc/api/tmpl/matecomponent-arg.sgml                |  430 +
 doc/api/tmpl/matecomponent-config-database.sgml    |  351 +
 doc/api/tmpl/matecomponent-context.sgml            |  142 +
 doc/api/tmpl/matecomponent-event-source.sgml       |  196 +
 doc/api/tmpl/matecomponent-exception.sgml          |  199 +
 doc/api/tmpl/matecomponent-generic-factory.sgml    |  216 +
 doc/api/tmpl/matecomponent-i18n.sgml               |   22 +
 doc/api/tmpl/matecomponent-item-container.sgml     |   76 +
 doc/api/tmpl/matecomponent-item-handler.sgml       |  171 +
 doc/api/tmpl/matecomponent-listener.sgml           |  189 +
 doc/api/tmpl/matecomponent-main.sgml               |  160 +
 doc/api/tmpl/matecomponent-moniker-context.sgml    |   47 +
 doc/api/tmpl/matecomponent-moniker-extender.sgml   |  167 +
 doc/api/tmpl/matecomponent-moniker-simple.sgml     |  143 +
 doc/api/tmpl/matecomponent-moniker-util.sgml       |  281 +
 doc/api/tmpl/matecomponent-moniker.sgml            |  149 +
 doc/api/tmpl/matecomponent-object.sgml             |  500 +
 doc/api/tmpl/matecomponent-persist-client.sgml     |   42 +
 doc/api/tmpl/matecomponent-persist-file.sgml       |  201 +
 doc/api/tmpl/matecomponent-persist-stream.sgml     |  167 +
 doc/api/tmpl/matecomponent-persist.sgml            |   68 +
 .../tmpl/matecomponent-property-bag-client.sgml    |  789 +
 doc/api/tmpl/matecomponent-property-bag.sgml       |  350 +
 doc/api/tmpl/matecomponent-running-context.sgml    |   93 +
 doc/api/tmpl/matecomponent-shlib-factory.sgml      |  121 +
 doc/api/tmpl/matecomponent-shutdown.sgml           |   71 +
 doc/api/tmpl/matecomponent-storage-memory.sgml     |   31 +
 doc/api/tmpl/matecomponent-storage.sgml            |   76 +
 doc/api/tmpl/matecomponent-stream-client.sgml      |  106 +
 doc/api/tmpl/matecomponent-stream-memory.sgml      |  113 +
 doc/api/tmpl/matecomponent-stream.sgml             |   22 +
 doc/api/tmpl/matecomponent-types.sgml              |  263 +
 gtk-doc.make                                       |  230 +
 idl/Makefile.am                                    |   72 +
 idl/Makefile.in                                    |  724 +
 idl/MateComponent.idl                              |   59 +
 idl/MateComponent_ActivationContext.idl            |  116 +
 idl/MateComponent_Activation_types.idl             |  133 +
 idl/MateComponent_Application.idl                  |   48 +
 idl/MateComponent_Canvas.idl                       |  205 +
 idl/MateComponent_Clipboard.idl                    |   88 +
 idl/MateComponent_Context.idl                      |  141 +
 idl/MateComponent_Control.idl                      |  240 +
 idl/MateComponent_Embeddable.idl                   |   81 +
 idl/MateComponent_Exception.idl                    |   22 +
 idl/MateComponent_Gdk.idl                          |  138 +
 idl/MateComponent_GenericFactory.idl               |   48 +
 idl/MateComponent_ItemContainer.idl                |   60 +
 idl/MateComponent_Listener.idl                     |   74 +
 idl/MateComponent_Moniker.idl                      |  122 +
 idl/MateComponent_ObjectDirectory.idl              |  110 +
 idl/MateComponent_Persist.idl                      |  186 +
 idl/MateComponent_Print.idl                        |   46 +
 idl/MateComponent_Property.idl                     |  223 +
 idl/MateComponent_Storage.idl                      |  263 +
 idl/MateComponent_UI.idl                           |  131 +
 idl/MateComponent_Unknown.idl                      |   60 +
 idl/MateComponent_Zoomable.idl                     |  125 +
 install-sh                                         |  520 +
 libmatecomponent-zip.in                            |   51 +
 libmatecomponent.h                                 |   60 +
 ltmain.sh                                          | 9655 +++++++++++
 matecomponent-activation-config.xml                |   13 +
 matecomponent-activation/AUTHORS                   |    4 +
 matecomponent-activation/Makefile.am               |  107 +
 matecomponent-activation/Makefile.in               |  825 +
 .../matecomponent-activation-2.0-uninstalled.pc.in |   14 +
 .../matecomponent-activation-2.0.pc.in             |   14 +
 .../matecomponent-activation-activate-private.h    |   34 +
 .../matecomponent-activation-activate.c            |  894 +
 .../matecomponent-activation-activate.h            |   69 +
 .../matecomponent-activation-async.h               |   64 +
 .../matecomponent-activation-base-service.c        |  807 +
 .../matecomponent-activation-base-service.h        |  120 +
 .../matecomponent-activation-client.c              |  254 +
 .../matecomponent-activation-client.h              |   12 +
 .../matecomponent-activation-fork-server.c         |  516 +
 .../matecomponent-activation-get-language-list.c   |   69 +
 .../matecomponent-activation-id.c                  |  176 +
 .../matecomponent-activation-id.h                  |   59 +
 .../matecomponent-activation-init.c                |  700 +
 .../matecomponent-activation-init.h                |   68 +
 .../matecomponent-activation-mime.c                |  380 +
 .../matecomponent-activation-mime.h                |   32 +
 .../matecomponent-activation-private.h             |  104 +
 .../matecomponent-activation-register.c            |  620 +
 .../matecomponent-activation-register.h            |   77 +
 .../matecomponent-activation-server-info.c         |  217 +
 .../matecomponent-activation-server-info.h         |   57 +
 .../matecomponent-activation-shlib.c               |  294 +
 .../matecomponent-activation-shlib.h               |   73 +
 .../matecomponent-activation-version.h.in          |   31 +
 .../matecomponent-activation.h                     |   53 +
 matecomponent/Makefile.am                          |  166 +
 matecomponent/Makefile.in                          |  882 +
 .../libmatecomponent-2.0-uninstalled.pc.in         |   14 +
 matecomponent/libmatecomponent-2.0.pc.in           |   14 +
 matecomponent/matecomponent-app-client.c           |  414 +
 matecomponent/matecomponent-app-client.h           |   79 +
 matecomponent/matecomponent-application.c          |  731 +
 matecomponent/matecomponent-application.h          |   91 +
 matecomponent/matecomponent-arg.c                  |  539 +
 matecomponent/matecomponent-arg.h                  |  125 +
 matecomponent/matecomponent-context.c              |  127 +
 matecomponent/matecomponent-context.h              |   26 +
 matecomponent/matecomponent-debug.c                |   63 +
 matecomponent/matecomponent-debug.h                |   25 +
 matecomponent/matecomponent-event-source.c         |  487 +
 matecomponent/matecomponent-event-source.h         |   86 +
 matecomponent/matecomponent-exception.c            |  357 +
 matecomponent/matecomponent-exception.h            |  120 +
 matecomponent/matecomponent-foreign-object.c       |   71 +
 matecomponent/matecomponent-foreign-object.h       |   50 +
 matecomponent/matecomponent-generic-factory.c      |  421 +
 matecomponent/matecomponent-generic-factory.h      |  117 +
 matecomponent/matecomponent-i18n.h                 |   44 +
 matecomponent/matecomponent-item-container.c       |  246 +
 matecomponent/matecomponent-item-container.h       |   65 +
 matecomponent/matecomponent-item-handler.c         |  407 +
 matecomponent/matecomponent-item-handler.h         |   78 +
 matecomponent/matecomponent-listener.c             |  350 +
 matecomponent/matecomponent-listener.h             |   77 +
 matecomponent/matecomponent-macros.h               |  104 +
 matecomponent/matecomponent-main.c                 |  469 +
 matecomponent/matecomponent-main.h                 |   54 +
 matecomponent/matecomponent-marshal.list           |    7 +
 matecomponent/matecomponent-moniker-context.c      |   73 +
 matecomponent/matecomponent-moniker-context.h      |   40 +
 matecomponent/matecomponent-moniker-extender.c     |  211 +
 matecomponent/matecomponent-moniker-extender.h     |   66 +
 matecomponent/matecomponent-moniker-simple.c       |  225 +
 matecomponent/matecomponent-moniker-simple.h       |   66 +
 matecomponent/matecomponent-moniker-util.c         | 1287 ++
 matecomponent/matecomponent-moniker-util.h         |   94 +
 matecomponent/matecomponent-moniker.c              |  495 +
 matecomponent/matecomponent-moniker.h              |   83 +
 matecomponent/matecomponent-object.c               | 1862 ++
 matecomponent/matecomponent-object.h               |  255 +
 matecomponent/matecomponent-persist-client.c       |   96 +
 matecomponent/matecomponent-persist-client.h       |   29 +
 matecomponent/matecomponent-persist-file.c         |  208 +
 matecomponent/matecomponent-persist-file.h         |   91 +
 matecomponent/matecomponent-persist-stream.c       |  184 +
 matecomponent/matecomponent-persist-stream.h       |  101 +
 matecomponent/matecomponent-persist.c              |  174 +
 matecomponent/matecomponent-persist.h              |   60 +
 matecomponent/matecomponent-private.h              |   32 +
 matecomponent/matecomponent-property-bag-client.c  | 1064 ++
 matecomponent/matecomponent-property-bag-client.h  |  313 +
 matecomponent/matecomponent-property-bag.c         |  878 +
 matecomponent/matecomponent-property-bag.h         |  138 +
 matecomponent/matecomponent-running-context.c      |  466 +
 matecomponent/matecomponent-running-context.h      |   64 +
 matecomponent/matecomponent-shlib-factory.c        |  224 +
 matecomponent/matecomponent-shlib-factory.h        |   89 +
 matecomponent/matecomponent-storage-memory.c       |  758 +
 matecomponent/matecomponent-storage-memory.h       |   48 +
 matecomponent/matecomponent-storage.c              |  158 +
 matecomponent/matecomponent-storage.h              |   50 +
 matecomponent/matecomponent-stream-client.c        |  324 +
 matecomponent/matecomponent-stream-client.h        |   43 +
 matecomponent/matecomponent-stream-memory.c        |  405 +
 matecomponent/matecomponent-stream-memory.h        |   72 +
 matecomponent/matecomponent-stream.h               |   38 +
 matecomponent/matecomponent-types.c                |  518 +
 matecomponent/matecomponent-types.h                |   87 +
 matecomponent/matecomponent-xobject.h              |  106 +
 missing                                            |  376 +
 mkinstalldirs                                      |  162 +
 monikers/Makefile.am                               |   56 +
 monikers/Makefile.in                               |  688 +
 monikers/MateComponent_Moniker_std.server.in.in    |   99 +
 monikers/matecomponent-moniker-cache.c             |   63 +
 monikers/matecomponent-moniker-extender-stream.c   |  117 +
 monikers/matecomponent-moniker-ior.c               |   59 +
 monikers/matecomponent-moniker-item.c              |   67 +
 monikers/matecomponent-moniker-new.c               |   60 +
 monikers/matecomponent-moniker-oaf.c               |   69 +
 monikers/matecomponent-moniker-query.c             |   51 +
 monikers/matecomponent-moniker-query.h             |   38 +
 monikers/matecomponent-moniker-std.c               |   59 +
 monikers/matecomponent-moniker-std.h               |   45 +
 monikers/matecomponent-stream-cache.c              |  413 +
 monikers/matecomponent-stream-cache.h              |   39 +
 po/ChangeLog                                       | 2425 +++
 po/LINGUAS                                         |   88 +
 po/Makefile.in.in                                  |  217 +
 po/POTFILES.in                                     |   22 +
 po/POTFILES.skip                                   |    4 +
 po/am.po                                           |  491 +
 po/ar.po                                           |  502 +
 po/as.po                                           |  488 +
 po/ast.po                                          |  484 +
 po/az.po                                           |  513 +
 po/be.po                                           |  537 +
 po/bg.po                                           |  502 +
 po/bn.po                                           |  521 +
 po/bn_IN.po                                        |  498 +
 po/br.po                                           |  485 +
 po/bs.po                                           |  514 +
 po/ca.po                                           |  533 +
 po/ca@valencia.po                                  |  533 +
 po/cs.po                                           |  496 +
 po/cy.po                                           |  532 +
 po/da.po                                           |  563 +
 po/de.po                                           |  531 +
 po/dz.po                                           |  525 +
 po/el.po                                           |  530 +
 po/en@shaw.po                                      |  511 +
 po/en_CA.po                                        |  491 +
 po/en_GB.po                                        |  527 +
 po/eo.po                                           |  485 +
 po/es.po                                           |  540 +
 po/et.po                                           |  387 +
 po/eu.po                                           |  500 +
 po/fa.po                                           |  514 +
 po/fi.po                                           |  531 +
 po/fr.po                                           |  513 +
 po/ga.po                                           |  489 +
 po/gl.po                                           |  512 +
 po/gu.po                                           |  497 +
 po/he.po                                           |  526 +
 po/hi.po                                           |  496 +
 po/hr.po                                           |  491 +
 po/hu.po                                           |  503 +
 po/hy.po                                           |  497 +
 po/id.po                                           |  500 +
 po/is.po                                           |  511 +
 po/it.po                                           |  503 +
 po/ja.po                                           |  502 +
 po/ka.po                                           |  499 +
 po/kn.po                                           |  489 +
 po/ko.po                                           |  499 +
 po/ku.po                                           |  483 +
 po/li.po                                           |  515 +
 po/lt.po                                           |  501 +
 po/lv.po                                           |  493 +
 po/mai.po                                          |  490 +
 po/mg.po                                           |  482 +
 po/mk.po                                           |  505 +
 po/ml.po                                           |  496 +
 po/mn.po                                           |  502 +
 po/mr.po                                           |  486 +
 po/ms.po                                           |  514 +
 po/nb.po                                           |  495 +
 po/ne.po                                           |  495 +
 po/nl.po                                           |  534 +
 po/nn.po                                           |  492 +
 po/oc.po                                           |  489 +
 po/or.po                                           |  490 +
 po/pa.po                                           |  499 +
 po/pl.po                                           |  506 +
 po/pt.po                                           |  557 +
 po/pt_BR.po                                        |  533 +
 po/ro.po                                           |  496 +
 po/ru.po                                           |  508 +
 po/rw.po                                           |  580 +
 po/sk.po                                           |  493 +
 po/sl.po                                           |  532 +
 po/sq.po                                           |  516 +
 po/sr.po                                           |  542 +
 po/sr@latin.po                                     |  542 +
 po/sv.po                                           |  558 +
 po/ta.po                                           |  534 +
 po/te.po                                           |  495 +
 po/th.po                                           |  490 +
 po/tr.po                                           |  553 +
 po/uk.po                                           |  496 +
 po/vi.po                                           |  499 +
 po/wa.po                                           |  509 +
 po/xh.po                                           |  521 +
 po/yi.po                                           |  513 +
 po/zh_CN.po                                        |  528 +
 po/zh_HK.po                                        |  507 +
 po/zh_TW.po                                        |  509 +
 samples/Makefile.am                                |    1 +
 samples/Makefile.in                                |  623 +
 samples/echo/ChangeLog                             |  142 +
 samples/echo/Makefile.am                           |   65 +
 samples/echo/Makefile.in                           |  797 +
 samples/echo/MateComponent_Sample_Echo-common.c    |  105 +
 samples/echo/MateComponent_Sample_Echo-skels.c     |   61 +
 samples/echo/MateComponent_Sample_Echo-stubs.c     |   15 +
 samples/echo/MateComponent_Sample_Echo.h           |  127 +
 samples/echo/MateComponent_Sample_Echo.idl         |   16 +
 .../echo/MateComponent_Sample_Echo.server.in.in    |   21 +
 samples/echo/README                                |    5 +
 samples/echo/echo-client.c                         |   56 +
 samples/echo/echo.c                                |   91 +
 samples/echo/echo.h                                |   36 +
 samples/echo/main.c                                |   26 +
 tests/Makefile.am                                  |   64 +
 tests/Makefile.in                                  |  956 ++
 tests/README                                       |    2 +
 tests/Test_Generic_Factory.server                  |   22 +
 tests/generic-factory.c                            |   38 +
 tests/models/Makefile.am                           |    1 +
 tests/models/Makefile.in                           |  421 +
 tests/models/generic-factory.output                |    4 +
 .../runtest-output-test-properties-client.output   |    6 +
 .../runtest-output-test-properties-server.output   |    6 +
 tests/models/test-generic-factory.output           |    6 +
 tests/test-activation/Makefile.am                  |   99 +
 tests/test-activation/Makefile.in                  |  887 +
 tests/test-activation/broken.server                |   50 +
 tests/test-activation/empty-server.c               |  120 +
 tests/test-activation/empty.idl                    |    5 +
 tests/test-activation/empty.server                 |   17 +
 .../matecomponent-activation-env-test.c            |   33 +
 .../matecomponent-activation-run-query.c           |   85 +
 .../matecomponent-activation-test-async.c          |  177 +
 .../matecomponent-activation-test.c                |  466 +
 .../matecomponent-activation-testplugin.c          |   64 +
 tests/test-activation/plugin.idl                   |    4 +
 tests/test-activation/plugin.server                |   12 +
 tests/test-activation/test.sh                      |   41 +
 tests/test-event-source.c                          |   94 +
 tests/test-generic-factory.sh                      |   54 +
 tests/test-main-loop.c                             |   33 +
 tests/test-moniker.c                               |  125 +
 tests/test-object.c                                |  205 +
 tests/test-properties-client.c                     |  236 +
 tests/test-properties-server.c                     |  286 +
 tests/test-properties.sh                           |   14 +
 tests/test-storage-mem.c                           |  309 +
 tests/test-stream-mem.c                            |   89 +
 tests/test-thread.c                                |  158 +
 tests/test-uniqapp.c                               |  181 +
 utils/Makefile.am                                  |   20 +
 utils/Makefile.in                                  |  671 +
 utils/matecomponent-activation-sysconf.c           |  310 +
 utils/matecomponent-slay.in                        |  239 +
 538 files changed, 191594 insertions(+), 0 deletions(-)
